**RESOLVED ISSUE WITH SIDE QUEST KEYS**
The game team has resolved this issue. Keys will be distributed via in-game messages and the quest timer will be extended.
More information and timeline here.
*This includes currently unclaimable keys as well*
**WINTER OF WOE - BONUS OBJECTIVE POINT**
As previously announced, the team will be distributing an additional point toward milestones to anyone who completed the Absorbing Man fight in the first step of the Winter of Woe.
This point will be distributed at a later time as it requires the team to pull and analyze data.
The timeline has not been set, but work has started.

Device Incompatibility

so my little brother has been playing mcoc on his tablet for quite some time now (Samsung Galaxy Tab A), but recently due to lag and signing into the wrong account I suggested he uninstall and reinstall the game... but when he went to reinstall it wasn't appearing in the app store, after searching on the online version of the play store we found it but only to see a message saying that his device is not compatible with the version of the game. this doesn't make sense as he was just playing the same version a few hours prior. he is also running android version 10 so I'm not sure what's happening and how we can fix it>
«1345

Comments

  • magnus_xixmagnus_xix Posts: 2,018 ★★★★★
    There should be a new update coming out tomorrow which could fix your situation.
  • SummonerNRSummonerNR Posts: 10,292 Guardian
    edited February 2021
    Someone else said same problem, also Android but on different phone.

    @WoodyNailsome ...
    https://forums.playcontestofchampions.com/en/discussion/252864/mcoc-missing-from-playstore#latest

    Odd that any requirements might have changed BEFORE the new update actually comes out, and they haven’t announced any new requirements.

  • LordMelLordMel Posts: 4
    new update is out, nothing has changed... my bro still cant download mcoc
  • WolfrhkWolfrhk Posts: 76
    edited March 2021
    Same here. Running Galaxy J3 V and Android 9



  • Can someone who DOES still have it available on Android post a screenshot here of the current update's Requirements (from in Google Play Store) here.

    Might give a clue to help see why other's are saying Not Compatible (without Google detailing WHY) ?
  • WolfrhkWolfrhk Posts: 76
    edited March 2021
    Below is the requirements on Kabam's own support page, they list Android 6.0 and above.

    This bug needs to be resolved IMMEDIATELY before a lot of users get locked out. Please reply @Kabam Miike @Kabam Zibiit @Kabam Vydious @Kabam Porthos @Kabam Lyra

    https://help.kabamsupport.com/hc/en-us/articles/360052392992-Device-Compatibility
  • Only other thing might be requirement that you support v3.0.6 of OpenGL ES. (as seen in Support link above).

    (I know I’ve seen that before on one of Kabam's 3 different games that have Compatibility listings, but honestly can’t remember if that was specifically on this MCOC one before today ?)
  • WolfrhkWolfrhk Posts: 76
    Both my devices Galaxy J3 V and Galaxy J7 are showing incompatible, yet the J7 I bought this July. Really hoping this is a bug that can be fixed within the next day or two
  • KnordyKnordy Posts: 186 ★★
    Interestingly in all the reports about this issue it's all about Samsung devices.
  • winterthurwinterthur Posts: 7,513 ★★★★★
    Unless game developer is able to send out a hotfix, this looks bad.
  • I'm sorry this occured please take the time to fill out the below template to make sure we have all the information needed to investigate

    Device and Version: (Example, iPhone 7) Be sure to include make and model of the device you are playing on when experiencing the issue.

    Device Operating System: (Example, iOS 11) You can find out the operating system on an iPhone by going to Settings, then General and scrolling down to “Version.” You can find the operating system version on Android by going to Apps, then Settings and “About Device.”

    Mobile Carrier: (Example AT&T) If your device uses cellular data, please include information about your data provider.

    Game Version Installed: To check which version of the game you have installed, go to the App Store or Play Store and confirm that you have the latest version installed which will show you the number. (Example, 17.1.5).

    ...
    Above is the only reply so far about the incompatibility (from another thread).

    But a 2nd different thread has ppl saying now that it seems to be showing up in Store again (so maybe fixed ?? or at least for some ppl ??)
    https://forums.playcontestofchampions.com/en/discussion/253077/mcoc-gone-from-google-play#latest
  • More people today still having problems “Not Compatible” with March Update, even on a higher level Android OS.
    @Subhu , @PaoHudson

    All these similar threads should probably be MERGED, regarding Android Devices and the current Update. And figure out why some Android players can’t get the latest game update.

    People have provided different bits of info in each thread.

    https://forums.playcontestofchampions.com/en/discussion/253022/no-update#latest

    https://forums.playcontestofchampions.com/en/discussion/253077/mcoc-gone-from-google-play#latest

    https://forums.playcontestofchampions.com/en/discussion/252864/mcoc-missing-from-playstore#latest

    https://forums.playcontestofchampions.com/en/discussion/252385/unsupported-device#latest

    https://forums.playcontestofchampions.com/en/discussion/253356/issue-with-updating-the-game#latest
  • It now forces me to an "You must update this app" screen, and since it says my device is no longer supported, I can't download the update.

    So now apparently the “Must Upgrade to Continue Playing” status has kicked in, meaning that those affected people can’t even login to do any AQ/AW or other routine stuff (things except for obviously the new Monthly EQ and Side Quests).

    @Kabam Miike , @Kabam Vydious ... Any word on this ?
  • LibertyPrimeV1LibertyPrimeV1 Posts: 4,179 ★★★★★
    On one or two of the other threads, someone with an OS 10 Android Device reported the Incompatibility Issue so this Must Be An Error.
    (Last Month's Minimum OS Requirement for Android Devices was OS 6 meaning they would've jump 5 OS' in 1 Month, side note the Lastest OS Version for the Newest of Android Devices is OS 11 and I doubt Kabam would intentionally lock out Everyone Except for the Newest Devices...)

    Hope this is fixed soon, I haven't been locked out of the game yet but this morning I got the Update Now Notification...
  • CaramesCarames Posts: 284 ★★
    My son is having the same issue. Samsung J3 (Android 8).
  • LibertyPrimeV1LibertyPrimeV1 Posts: 4,179 ★★★★★

    Hope this is fixed soon, I haven't been locked out of the game yet but this morning I got the Update Now Notification...

    Scratch that... 😑

  • SummonerNRSummonerNR Posts: 10,292 Guardian
    edited March 2021
    @LibertyPrimeV1 , does clicking the UPDATE from within game (2nd pic) allow you to update without having to actually go thru the App Play Store directly ?

    (side thought, could this have anything to do with Facebook SDK and maybe App Play Store using parts of that SDK, and if there is some new (bugged) part of the SDK it is causing problems for just some ppl ? aka, similar to previous times when Facebook SDK error was causing ppl to not be able to login to MCOC itself ? Although that was on a much wider bugged scale)
  • spidyjedi84spidyjedi84 Posts: 259 ★★
    No, SummonerNR. It doesn't.
  • LibertyPrimeV1LibertyPrimeV1 Posts: 4,179 ★★★★★

    @LibertyPrimeV1 , does clicking the UPDATE from within game (2nd pic) allow you to update without having to actually go thru the App Play Store directly ?

    (side thought, could this have anything to do with Facebook SDK and maybe App Play Store using parts of that SDK, and if there is some new (bugged) part of the SDK it is causing problems for just some ppl ? aka, similar to previous times when Facebook SDK error was causing ppl to not be able to login to MCOC itself ? Although that was on a much wider bugged scale)

    No it just brings you to the App Store.

    I guess I could use a File Manager to completely remove Facebook from my device and see if that works, but I never had an issue like that before...
  • LibertyPrimeV1LibertyPrimeV1 Posts: 4,179 ★★★★★

    @LibertyPrimeV1 , does clicking the UPDATE from within game (2nd pic) allow you to update without having to actually go thru the App Play Store directly ?

    (side thought, could this have anything to do with Facebook SDK and maybe App Play Store using parts of that SDK, and if there is some new (bugged) part of the SDK it is causing problems for just some ppl ? aka, similar to previous times when Facebook SDK error was causing ppl to not be able to login to MCOC itself ? Although that was on a much wider bugged scale)

    I completely exiled Facebook from my device and it's still apparently Incompatible
  • The Facebook SDK issue was some toolkit code embedded within many Apps (not standalone on your own device).

    It caused massive errors the last time they had some internal bug in there.

    Didn’t even matter whether you were using Facebook Login into game or those other apps or not, it just made them not work at all.

    (but doubt that is the issue here again)
  • Another person with “Device Not Compatible” ( @S3r3n4 )

    KABAM, any insights into why ?? (seems to be on a range of different Android versions and devices).
    Is it affected by Region/Country ?

    Samsung: Galaxy Tab A (2019 and 2020), Galaxy Tab E, J3 V, J7, Galaxy Sky (S320VL), J3 Luna Pro, J2 Core.
    LG: K10, K8.
    RCA: 10 Viking Pro
    Nokia: 1 (Android 10 Go)
    S3r3n4 said:


    In-Game Name: El Azteca Avila
    Device and Model: Samsung Galaxy Tab E
    Device Operating System: 7.1.1
    Cellular or WiFi: WiFi
    Description of the Issue: Can not update device. Says device not compatible. Never had issues before until now. Not even on another tablet. Its saying the same thing that its not compatible.

  • LibertyPrimeV1LibertyPrimeV1 Posts: 4,179 ★★★★★

    Another person with “Device Not Compatible” ( @S3r3n4 )

    KABAM, any insights into why ?? (seems to be on a range of different Android versions and devices).
    Is it affected by Region/Country ?

    Samsung: Galaxy Tab A (2019 and 2020), Galaxy Tab E, J3 V, J7, Galaxy Sky (S320VL), J3 Luna Pro, J2 Core.
    LG: K10, K8.
    RCA: 10 Viking Pro
    Nokia: 1 (Android 10 Go)

    S3r3n4 said:


    In-Game Name: El Azteca Avila
    Device and Model: Samsung Galaxy Tab E
    Device Operating System: 7.1.1
    Cellular or WiFi: WiFi
    Description of the Issue: Can not update device. Says device not compatible. Never had issues before until now. Not even on another tablet. Its saying the same thing that its not compatible.

    https://help.kabamsupport.com/hc/en-us/articles/360052392992-Device-Compatibility
    Device Compatibility Info is Still Outdated, why has there been 0 Communication on this Topic?! (Not counting the Generic Robot Like response of "Please fill out this form" on one of the Forum Posts)

    Also I forget where I read it but someone reminded me, usually when there's a Compatibility Shift like removing One Whole OS they'll notify us At Least 1 Month in advance. So if this somehow isn't an Error/Bug then why were we not notified and why is the Device Compatibility Support Page Still Outdated?
  • LibertyPrimeV1LibertyPrimeV1 Posts: 4,179 ★★★★★

    I am getting frustrated with the utter silence on this topic, Kabam. At this point, I've missed three days of Alliance Quest, three days of Alliance War and no communication as to if it was intended that my device is no longer supported and I need to look at buying a new phone/device or it's a bug that the team is working to resolve. Even putting in a support ticket on your website has been to absolute crickets.

    And since the Device Compatibility Support Page hasn't been Updated, how are we supposed to know what New Device to get if we need to get a new one?!
    The Reports have shown it's incredibly Inconsistent on what Devices do and don't work, many OS 6-8 are apparently Incompatible but then there's some people with OS 9-10 Devices saying it's Incompatible as well!
    Like give us Something Kabam!
  • The_Sentry06The_Sentry06 Posts: 7,775 ★★★★★
    An update would be nice on this. I faced the same issue too on my Samsung Galaxy Tab A (2019). Disappeared from my play store due to incompatibility on the day of the new update's release but my tab runs Android 10. Appeared again the next day.
  • LibertyPrimeV1LibertyPrimeV1 Posts: 4,179 ★★★★★
    Knordy said:

    Another person with “Device Not Compatible” ( @S3r3n4 )

    KABAM, any insights into why ?? (seems to be on a range of different Android versions and devices).
    Is it affected by Region/Country ?

    Samsung: Galaxy Tab A (2019 and 2020), Galaxy Tab E, J3 V, J7, Galaxy Sky (S320VL), J3 Luna Pro, J2 Core.
    LG: K10, K8.
    RCA: 10 Viking Pro
    Nokia: 1 (Android 10 Go)

    S3r3n4 said:


    In-Game Name: El Azteca Avila
    Device and Model: Samsung Galaxy Tab E
    Device Operating System: 7.1.1
    Cellular or WiFi: WiFi
    Description of the Issue: Can not update device. Says device not compatible. Never had issues before until now. Not even on another tablet. Its saying the same thing that its not compatible.

    I'm not affected by this, but I'm curious as to why this has happened.
    - There is no communication that the game has new device requirements
    - Analyzing the specs from V29.2.1 vs V30.1.0 there seems to be no significant difference:
    Supported ABI's are the same (armeabi-v7a, arm64-v8a), minimum android version is the same (android 6 or higher), the features in the manifest file are the same.

    There are however some new packages and permissions added:


    uses-permission


    ="">


    But my guess is that's not what could be making the game incompatible.
    So looking at the android developer page of compatibility https://developer.android.com/guide/practices/compatibility it may seem they have (either accidentally or intentional) updated some settings in the Google Play Console:
    Filtering for technical compatibility (such as required hardware components) is always based on information contained within your APK file. But filtering for non-technical reasons (such as geographic locale) is always handled in the Google Play Console.

    What also bothers me is the lack of communication from Kabam addressing this issue. I haven't read a comment that they are looking into this issue, alerted the developers team or some explanation if this is intentional or not.
    On only 1 of the other Threads did we get 1 Response from Kabam, it was the Robot Like Generic "Please Fill Out The Report Form" reply... Idk if it's even still there, but several of us replied to it and never got a response back.
  • TheBoogyManTheBoogyMan Posts: 2,094 ★★★★★
    Knordy said:

    Another person with “Device Not Compatible” ( @S3r3n4 )

    KABAM, any insights into why ?? (seems to be on a range of different Android versions and devices).
    Is it affected by Region/Country ?

    Samsung: Galaxy Tab A (2019 and 2020), Galaxy Tab E, J3 V, J7, Galaxy Sky (S320VL), J3 Luna Pro, J2 Core.
    LG: K10, K8.
    RCA: 10 Viking Pro
    Nokia: 1 (Android 10 Go)

    S3r3n4 said:


    In-Game Name: El Azteca Avila
    Device and Model: Samsung Galaxy Tab E
    Device Operating System: 7.1.1
    Cellular or WiFi: WiFi
    Description of the Issue: Can not update device. Says device not compatible. Never had issues before until now. Not even on another tablet. Its saying the same thing that its not compatible.

    I'm not affected by this, but I'm curious as to why this has happened.
    - There is no communication that the game has new device requirements
    - Analyzing the specs from V29.2.1 vs V30.1.0 there seems to be no significant difference:
    Supported ABI's are the same (armeabi-v7a, arm64-v8a), minimum android version is the same (android 6 or higher), the features in the manifest file are the same.

    There are however some new packages and permissions added:


    uses-permission


    ="">


    But my guess is that's not what could be making the game incompatible.
    So looking at the android developer page of compatibility https://developer.android.com/guide/practices/compatibility it may seem they have (either accidentally or intentional) updated some settings in the Google Play Console:
    Filtering for technical compatibility (such as required hardware components) is always based on information contained within your APK file. But filtering for non-technical reasons (such as geographic locale) is always handled in the Google Play Console.

    What also bothers me is the lack of communication from Kabam addressing this issue. I haven't read a comment that they are looking into this issue, alerted the developers team or some explanation if this is intentional or not.

    Hey, what are the new packages and permissions added? @Knordy
  • TheBoogyManTheBoogyMan Posts: 2,094 ★★★★★
    Lets hope for quick solution for people who are not able to access yet.
Sign In or Register to comment.